Package org.eclipse.wst.xsl.xalan.debugger

## org.eclipse.wst.xsl.xalan.debugger
Class XalanRootStyleFrame

    public class XalanRootStyleFrame
    extends org.eclipse.wst.xsl.xalan.debugger.XalanStyleFrame

## Constructor Summary

`XalanRootStyleFrame(org.apache.xalan.trace.TracerEvent event)`

## Method Summary

`public void` | `addVariable(org.eclipse.wst.xsl.xalan.debugger.XalanVariable xvar)`
`protected java.util.List` | `getGlobals()`
`public Variable` | `getVariable(int id)` Gets a Variable by ID

## Constructor Detail

## XalanRootStyleFrame

`public XalanRootStyleFrame(org.apache.xalan.trace.TracerEvent event)`

## Methods Detail

## addVariable

`public void addVariable(org.eclipse.wst.xsl.xalan.debugger.XalanVariable xvar)`

### Parameters

`xvar`

## getGlobals

`protected java.util.List getGlobals()`

### Returns

`java.util.List`

## getVariable

`public Variable getVariable(int id)`

Gets a Variable by ID

### Parameters

`id`

### Returns

`Variable`